For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList environments
      • POSTCreate an environment
      • GETGet environment subscription credentials
      • GETGet an environment
      • PATCHUpdate an environment
      • DELDelete an environment
      • GETList guides
      • GETGet a guide
      • PATCHUpdate a guide
      • POSTCreate a guide
      • DELDelete a guide
      • GETGet guide version
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceEnvironments

Update an environment

PATCH
https://api.x.flatfile.com/v1/environments/:environmentId
PATCH
/v1/environments/:environmentId
$curl -X PATCH https://api.x.flatfile.com/v1/environments/us_env_YOUR_ID \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "dev",
> "isProd": false,
> "guestAuthentication": [
> "magic_link"
> ],
> "metadata": {
> "key": "value"
> },
> "namespaces": [
> "default"
> ]
>}'
200Updated
1{
2 "id": "us_env_YOUR_ID",
3 "accountId": "us_acc_YOUR_ID",
4 "name": "dev",
5 "isProd": false,
6 "guestAuthentication": [
7 "magic_link"
8 ],
9 "features": {},
10 "metadata": {},
11 "namespaces": [
12 "default"
13 ]
14}
Updates a single environment, to change the name for example
Was this page helpful?
Previous

Delete an environment

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

environmentIdstringRequired
ID of the environment to update

Headers

X-Disable-Hooks"true"Required

Request

This endpoint expects an object.
namestringOptional
The name of the environment
isProdbooleanOptional
Whether or not the environment is a production environment
guestAuthenticationlist of enumsOptional
Allowed values:
metadatamap from strings to anyOptional
translationsPathstringOptional
namespaceslist of stringsOptional
languageOverridestringOptional

Response

This endpoint returns an object.
idstring
Environment ID
accountIdstring
Account ID
namestring
The name of the environment
isProdboolean
Whether or not the environment is a production environment
guestAuthenticationlist of enums
Allowed values:
featuresmap from strings to any
metadatamap from strings to any
translationsPathstring
namespaceslist of strings
languageOverridestring